about summary refs log tree commit diff
path: root/tests/build-dry.sh
diff options
context:
space:
mode:
authorWill Dietz <w@wdtz.org>2018-02-07T20·57-0600
committerWill Dietz <w@wdtz.org>2018-02-07T21·20-0600
commit3780435a0e3166ff898b33b8eb9a057ffa16ce67 (patch)
tree9b9883ba12f98c1a25fe28eb40337983b7f425e2 /tests/build-dry.sh
parentf201b7733e22cc236a41093a88cc789239d994bd (diff)
tests: Add (failing) tests for reported --dry-run issues.
Diffstat (limited to 'tests/build-dry.sh')
-rw-r--r--tests/build-dry.sh49
1 files changed, 49 insertions, 0 deletions
diff --git a/tests/build-dry.sh b/tests/build-dry.sh
new file mode 100644
index 000000000000..9a2a70d5f112
--- /dev/null
+++ b/tests/build-dry.sh
@@ -0,0 +1,49 @@
+source common.sh
+
+###################################################
+# Check that --dry-run isn't confused with read-only mode
+# https://github.com/NixOS/nix/issues/1795
+
+clearStore
+clearCache
+
+# Ensure this builds successfully first
+nix build -f dependencies.nix
+
+clearStore
+clearCache
+
+# Try --dry-run using old command first
+nix-build dependencies.nix --dry-run 2>&1 | grep "will be built"
+# Now new command:
+nix build -f dependencies.nix --dry-run 2>&1 | grep "will be built"
+
+clearStore
+clearCache
+
+# Try --dry-run using new command first
+nix build -f dependencies.nix --dry-run 2>&1 | grep "will be built"
+# Now old command:
+nix-build dependencies.nix --dry-run 2>&1 | grep "will be built"
+
+
+###################################################
+# Check --dry-run doesn't create links with --dry-run
+# https://github.com/NixOS/nix/issues/1849
+clearStore
+clearCache
+
+RESULT=$TEST_ROOT/result-link
+rm -f $RESULT
+
+nix-build dependencies.nix -o $RESULT --dry-run
+
+[[ ! -h $RESULT ]] || fail "nix-build --dry-run created output link"
+
+nix build -f dependencies.nix -o $RESULT --dry-run
+
+[[ ! -h $RESULT ]] || fail "nix build --dry-run created output link"
+
+nix build -f dependencies.nix -o $RESULT
+
+[[ -h $RESULT ]]